## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat Struct Reference

A single interpolated buffer value. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes

float | c
| Un-divided buffer value.
float | dIcdy
| Buffer value div Z per-scanline delta.
float | Ic
| Buffer value div Z.

## Detailed Description

A single interpolated buffer value.

Definition at line 60 of file types.h.

## Member Data Documentation

float CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::c

| Un-divided buffer value. Definition at line 67 of file types.h. Referenced by CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and CrystalSpace::SoftShader::InterpolateEdgePersp::Setup().

float CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::dIcdy

| Buffer value div Z per-scanline delta. Definition at line 65 of file types.h. Referenced by CrystalSpace::SoftShader::InterpolateEdgePersp::Setup().

float CrystalSpace::SoftShader::InterpolateEdgePersp::PerFloat::Ic

| Buffer value div Z. Definition at line 63 of file types.h. Referenced by CrystalSpace::SoftShader::InterpolateScanlinePersp< maxFloats >::Setup(), and CrystalSpace::SoftShader::InterpolateEdgePersp::Setup().

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h